%define upstream_name    Geometry-Primitive
%define upstream_version 0.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    4 sided polygon
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Geometry/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Check::ISA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON::Any)
BuildRequires: perl(Math::Complex)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Clone)
BuildRequires: perl(MooseX::Storage)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Geometry::Primitive::Arc represents a closed segment of a curve.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.240.0-3.mga6
+ Revision: 1027795
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.240.0-2.mga6
+ Revision: 951488
- Mageia 6 Mass Rebuild

* Fri Jan 02 2015 shlomif <shlomif> 0.240.0-1.mga5
+ Revision: 808098
- imported package perl-Geometry-Primitive


* Fri Jan 02 2015 cpan2dist 0.24-1mga
- initial mageia release, generated with cpan2dist
